#!/bin/bash

FILES=$(find . -iname '*.yaml')

STATUS=0

for FILE in $FILES; do
  JSON=$(ruby -e 'require "json"; puts({"content"=>open(ARGV[0]).read}.to_json)' -- "$FILE")

  echo $(basename $FILE)
  RESULT=$(curl --header "Content-Type: application/json" https://gitlab.it.liu.se/api/v4/ci/lint --data "$JSON" -s)
  [[ "$RESULT" == *"invalid"* ]]
  INVALID=$?
  [ $INVALID -eq 0 ] && STATUS=1
  [ $INVALID -ne 0 ] && echo "Ok" || echo "$RESULT"
  echo
done

exit $STATUS
